$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-7db77a55807f7a81fa37470f160a8db7e594defa/rpcs3-v0.0.12-11077-7db77a55_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'fc4d2ff31e7e4870a463c9255a80c43e2e0ac1a534868576f76798d5456a19cf'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
